Out-of-bounds Read

Affecting postgresql package, versions <11.3-r0

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

A vulnerability was found in postgresql versions 11.x prior to 11.3. Using a purpose-crafted insert to a partitioned table, an attacker can read arbitrary bytes of server memory. In the default configuration, any user can create a partitioned table suitable for this attack. (Exploit prerequisites are the same as for CVE-2018-1052).

References

CVSS Score

6.5
medium severity
  • Attack Vector
    Network
  • Attack Complexity
    Low
  • Privileges Required
    Low
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    High
  • Integrity
    None
  • Availability
    None
CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N
CVE
CVE-2019-10129
CWE
CWE-125
Snyk ID
SNYK-ALPINE39-POSTGRESQL-449716
Disclosed
30 Jul, 2019
Published
10 May, 2019